LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XObjectInspector Interface Reference

describes the main interface of an ObjectInspector. More...

`import"XObjectInspector.idl";`

Inheritance diagram for XObjectInspector:

## Exported Interfaces
interface | com::sun::star::frame::XController
| allows to plug the inspector into a com::sun::star::frame::XFrame More...
interface | com::sun::star::frame::XDispatchProvider
| allows to intercept functionality More...

## Public Member Functions
void | inspect ([in] sequence< com::sun::star::uno::XInterface > Objects) raises (com::sun::star::util::VetoException)
| inspects a new collection of one or more objects. More...
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...

## Public Attributes
XObjectInspectorModel | InspectorModel
| provides access to the current model of the inspector More...
XObjectInspectorUI | InspectorUI
| provides access to the user interface of the object inspector. More...

## Detailed Description

describes the main interface of an ObjectInspector.

See also
  ObjectInspector

Since
  OOo 2.0.3

## Exported Interfaces

## ◆ com::sun::star::frame::XController

interface com::sun::star::frame::XController

allows to plug the inspector into a com::sun::star::frame::XFrame

The com::sun::star::frame::XController::setModel() method accepts only XObjectInspectorModels, and will return `FALSE` if the to-be-attached model is not `NULL`, but does not support this interface.

If you do not want to support a full-blown com::sun::star::frame::XModel, use the InspectorModel attribute instead.

The com::sun::star::frame::XController::getViewData() and com::sun::star::frame::XController::restoreViewData() exchange string values, which describes as much of the current view state as possible.

## ◆ com::sun::star::frame::XDispatchProvider

interface com::sun::star::frame::XDispatchProvider

allows to intercept functionality

This interface is inherited from the com::sun::star::frame::Controller service, currently, there is no functionality to intercept at an XObjectInspector.

## Member Function Documentation

## ◆ inspect()

void inspect | ( | [in] sequence< com::sun::star::uno::XInterface > | Objects | ) |
raises | ( | com::sun::star::util::VetoException
| ) |  |

inspects a new collection of one or more objects.

If the sequence is empty, the UI of the ObjectInspector will be cleared.

If the sequence contains more than one object, the XObjectInspector will create a complete set of property handlers (as indicated by XObjectInspectorModel::HandlerFactories) for every of the objects, and compose their output.

Exceptions

  com::sun::star::util::VetoException | if the inspector cannot switch to another object set. This typically happens if one of the active XPropertyHandler's raised a non-modal user interface, and vetoed suspension of this UI.

See also
  XPropertyHandler::isComposable
  XPropertyHandler::onInteractivePropertySelection
  XPropertyHandler::suspend

## Member Data Documentation

## ◆ InspectorModel

XObjectInspectorModel InspectorModel
| attribute

provides access to the current model of the inspector

The model is mainly responsible for providing the property handlers. Additionally, it can provide user interface names and help URLs for property categories.

Note that there are two ways of setting or retrieving the current model: You can either use com::sun::star::frame::XModel::setModel(), or, if you do not want or need to implement the full-blown com::sun::star::frame::XModel interface, you can use this property directly. Both approaches are semantically equivalent.

If a new model is set at the inspector, the complete UI will be rebuilt to reflect the change, using the new property handlers provided by the new model.

## ◆ InspectorUI

XObjectInspectorUI InspectorUI
| attribute readonly

provides access to the user interface of the object inspector.

This interface can be used to access and manipulate various aspects of the user interface. For instance, you can enable and disable certain property controls (or parts thereof), or register observers for all property controls.

Since
  OOo 2.2

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XObjectInspector.idl